database:
  drivers:
    mysql: &mysql
      driver: mysql
      host: localhost
      username: root
      password: root
      db_name: casbin
      port: 3306
    postgres: &postgres
      driver: postgres
      host: t2yq39od6o6cgxaakw6wbu9v
      username: usite
      password: DXPc2nzKWurNThEaWffGFuy47b65CWV4O9X75td2uOGj3kFLimOgLppWplYbx5Fu
      port: 5432
      db_name: usite
    sqlserver: &sqlserver
      driver: sqlserver
      host: localhost
      username: sa  # Cambia esto según tu configuración
      password: your_password  # Cambia esto según tu configuración
      db_name: casbin
      port: 1433
    sqlite: &sqlite
      driver: sqlite
      db_name: "data.db"  # Nombre del archivo de la base de datos SQLite
  default: *postgres

server: &server
  name: "USITE "
  host: 0.0.0.0
  port: 8080
  public_url: https://admin.u-site.app

profiler:
  enabled: false
  server: "http://localhost:4040"

# Elimina las configuraciones de Redis
# cache: *redis
# session: *redis
# storage: *redis
# queue: *redis

mail:
  host:
  port:
  username:
  password:
  encryption: tls
  from_address: ""
  from_name: ""

token:
  app_jwt_secret: SECRET_APP
  api_jwt_secret: SECRET_API
  expires_in: 31536000
jwt:
  app:
    secret: SECRET_APP
    expire: 31536000
  api:
    secret: SECRET_API
    expire: 31536000

template:
  path: "resources/view"
  extension: ".html"

log:
  timefield: "timestamp"
  timeformat: "2006-01-02 15:04:05"
  graylog: &graylog
    host: localhost
    port: 12201
  file: &file
    path: "storage/logs"
    timeformat: "2006-01-02"
  console: &console
    level: "error"
    show: false
  info: *file
  warn: *file
  error: *file
  monitor: *graylog

shortlink:
  link_length: 8
  server: *server
  enable_csp: true
  link_type: l

spam:
  train_file: "spam.csv"

auth:
  type: "simple"
